﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace INS16OSample
{
    public partial class Form1 : Form
    {
        private short DevId;
        private System.Windows.Forms.CheckBox[] OutBit;
        public Form1()
        {
            InitializeComponent();

            OutBit = new System.Windows.Forms.CheckBox[]
            {OutB0, OutB1, OutB2, OutB3, OutB4, OutB5, OutB6, OutB7,
             OutB8, OutB9, OutB10, OutB11, OutB12, OutB13, OutB14, OutB15};
        }
        private void ControlEnable(Boolean en)
        {
            int Bit;

            DevOpenBtn.Enabled = ! en;
            IDNUM.Enabled = ! en;
            DevCloseBtn.Enabled = en;
            for (Bit = 0; Bit < 16; Bit++)
                OutBit[Bit].Enabled = en;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DevId = 0;
            ControlEnable(false);
            IDNUM.SelectedIndex = 0;
        }

        private void DevOpenBtn_Click(object sender, EventArgs e)
        {
            short retErr;

            DevId = (short) IDNUM.SelectedIndex;
            retErr = TUSBINSO.Tusbins16o_Device_Open(DevId);
            if(retErr == 0)
            {
                ControlEnable(true);
                OutputB();
            }
            else
                MessageBox.Show(TUSBINSO.GetOpenErrMessage(retErr)); //***オープンに失敗した場合
        }

        private void DevClose()
        {
            TUSBINSO.Tusbins16o_Device_Close(DevId);
            ControlEnable(false);
        }

        private void DevCloseBtn_Click(object sender, EventArgs e)
        {
            DevClose();
        }

        private void OutputB()
        {
            int Bit;
            int Data;
            short retErr;

            Data = 0;
            for (Bit = 0; Bit < 16; Bit++)
            {
                Data += (OutBit[Bit].Checked) ? (1 << Bit) : 0;
            }

            retErr = TUSBINSO.Tusbins16o_Write(DevId, Data);
            if (retErr != 0)
            {
                MessageBox.Show(TUSBINSO.GetErrMessage(retErr));
                DevClose();
            }
        }

        private void OutB_CheckedChanged(object sender, EventArgs e)
        {
            OutputB();
        }
    }
}
